PDA

View Full Version : scim-libs-1.4.4-9.3.fc5 update problem



tomcheng76
13th June 2006, 06:30 AM
hi
from 1.4.4-9.2 update to 1.4.4-9.3
Installing: scim-libs ######################### [1/5]
Cannot load module /usr/lib/gtk-2.0/immodules/im-scim.so: /usr/lib/libscim-x11utils-1.0.so.8: undefined symbol: _ZNSt11_7_200604288ios_base4InitC1Ev
/usr/lib/gtk-2.0/immodules/im-scim.so does not export GTK+ IM module API: /usr/lib/libscim-x11utils-1.0.so.8: undefined symbol: _ZNSt11_7_200604288ios_base4InitC1Ev
error: %post(scim-libs-1.4.4-9.3.fc5.i386) scriptlet failed, exit status 1

It says that scim-libs is installed, but i canot type any chinese nor japanese
then i do a clean install by first remove scim*
then i yum install scim-tables scim scim-anthy scim-tables-chinese scim-libs

still got this error...wt do i need to do
thanks guys

psyklops
13th June 2006, 08:30 AM
Got the same problem after updating...


Dependencies Resolved

================================================== ===========================
Package Arch Version Repository Size
================================================== ===========================
Updating:
scim-devel x86_64 1.4.4-9.3.fc5 updates 100 k
scim-libs x86_64 1.4.4-9.3.fc5 updates 687 k
scim-libs i386 1.4.4-9.3.fc5 updates-i386 697 k

Transaction Summary
================================================== ===========================
Install 0 Package(s)
Update 3 Package(s)
Remove 0 Package(s)
Total download size: 1.4 M
Downloading Packages:
(1/3): scim-libs-1.4.4-9. 100% |=========================| 687 kB 00:08
(2/3): scim-libs-1.4.4-9. 100% |=========================| 697 kB 00:06
(3/3): scim-devel-1.4.4-9 100% |=========================| 100 kB 00:02
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
Updating : scim-libs ######################### [1/6]
Cannot load module /usr/lib/gtk-2.0/immodules/im-scim.so: /usr/lib/libscim-x11utils-1.0.so.8: undefined symbol: _ZNSt11_7_200604288io s_base4InitC1Ev
/usr/lib/gtk-2.0/immodules/im-scim.so does not export GTK+ IM module API: /usr/lib/libscim-x11utils-1.0.so.8: undefined symbol: _ZNSt 11_7_200604288ios_base4InitC1Ev
error: %post(scim-libs-1.4.4-9.3.fc5.i386) scriptlet failed, exit status 1
Updating : scim-libs ######################### [2/6]
Cannot load module /usr/lib64/gtk-2.0/immodules/im-scim.so: /usr/lib64/libscim-x11utils-1.0.so.8: undefined symbol: _ZNSt11_7_2006042 88ios_base4InitC1Ev
/usr/lib64/gtk-2.0/immodules/im-scim.so does not export GTK+ IM module API: /usr/lib64/libscim-x11utils-1.0.so.8: undefined symbol: _ ZNSt11_7_200604288ios_base4InitC1Ev
error: %post(scim-libs-1.4.4-9.3.fc5.x86_64) scriptlet failed, exit status 1
Updating : scim-devel ######################### [3/6]
Cleanup : scim-libs ######################### [4/6]
Cannot load module /usr/lib/gtk-2.0/immodules/im-scim.so: /usr/lib/libscim-x11utils-1.0.so.8: undefined symbol: _ZNSt11_7_200604288io s_base4InitC1Ev
/usr/lib/gtk-2.0/immodules/im-scim.so does not export GTK+ IM module API: /usr/lib/libscim-x11utils-1.0.so.8: undefined symbol: _ZNSt 11_7_200604288ios_base4InitC1Ev
error: %postun(scim-libs-1.4.4-9.2.fc5.i386) scriptlet failed, exit status 1
Cleanup : scim-devel ######################### [5/6]

Updated: scim-devel.x86_64 0:1.4.4-9.3.fc5 scim-libs.x86_64 0:1.4.4-9.3.fc5 scim-libs.i386 0:1.4.4-9.3.fc5
Complete!


Would be interested if anyone else is experiencing this...

Wayne
13th June 2006, 08:56 AM
I'm afraid it installed just fine here. One thing I noticed is the older version of scim-libs-1.4.4-9.2.fc5 is still on my system, I thought new packages would replace old ones. I'm wondering if it's safe to remove the older package.

Wayne

tomcheng76
13th June 2006, 09:20 AM
actually i cant switch to next input method no matter what key i set in scim setup -> front end global setup
so i even cant switch to CangJie to type chinese :'(

titaniumrain
13th June 2006, 01:20 PM
I can confirm that I have the same issue. Originally I have *NO* problem at all but this huge crisis after the update. A bit frunstrated. :( :( :(


actually i cant switch to next input method no matter what key i set in scim setup -> front end global setup
so i even cant switch to CangJie to type chinese :'(

Wayne
13th June 2006, 03:37 PM
I can confirm that I have the same issue. Originally I have *NO* problem at all but this huge crisis after the update. A bit frunstrated. :( :( :(

It's weird, it was wworking earlier on but I had to go out and do a couple of jobs so shut down my machine. After starting it again I cannot input Japanese, it won't change to Japanese input. I also removed the older scim-libs, or so I thought, but they're still on my system!

Wayne

ege_yizhang
13th June 2006, 08:30 PM
just to confirm that the same problem occurred to me too. I am using scim for chinese input under en_US.UTF-8

tomcheng76
13th June 2006, 08:52 PM
i can only type chinese if i set language to chinese (taiwan)
english (USA) is not work too

Wayne
14th June 2006, 02:47 AM
i can only type chinese if i set language to chinese (taiwan)
english (USA) is not work too

In the end I used Yumex to remove the updated scim and scim-libs packages, which also took with them acim-anthy and downloaded the previous packages from here:

http://download.fedora.redhat.com/pub/fedora/linux/core/updates/5/i386/

Then re-installed scim-anthy and logged out and back in and it works again. We'll just have to wait till the updates are 'fixed'

Wayne

tomcheng76
14th June 2006, 05:58 AM
after yum update to 1.4.4-9.4
the problem is fixed
never update to scim odd version...
its so toublesome

Wayne
14th June 2006, 06:07 AM
after yum update to 1.4.4-9.4
the problem is fixed
never update to scim odd version...
its so toublesome

Thanks for the notification. Just updated, will check it later when I come back and turn on my PC.

Wayne

lolc.net
14th June 2006, 07:10 AM
The previous version worked OK. But for version 1.4.4-9.3, need to set LC_CTYPE=zh_CN.UTF-8.
Try add the following line in your ~/.bashrc
export LC_CTYPE="zh_CN.UTF-8"

Log out and log in again.

lolc.net
14th June 2006, 07:21 AM
For version scim-1.4.4-9.4.fc5
LC_CTYPE="en_GB.UTF-8" or LC_CTYPE="en_US.UTF-8" works fine.